# Generated by Django 5.2.1 on 2025-05-26 05:38

import django.db.models.deletion
import django_sohoui.fields
import django_sohoui.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AdminMenus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', django_sohoui.fields.UiCharField(max_length=100, verbose_name='菜单名称')),
                ('url', django_sohoui.fields.UiCharField(max_length=255, verbose_name='菜单链接')),
                ('icon', django_sohoui.fields.UiCharField(blank=True, max_length=100, null=True, verbose_name='菜单图标icon')),
                ('sort', django_sohoui.fields.UiIntegerField(blank=True, default=0, null=True, verbose_name='排序')),
                ('status', models.CharField(blank=True, choices=[('1', '正常'), ('2', '禁用')], default='1', max_length=100, null=True, verbose_name='状态')),
                ('active', models.IntegerField(choices=[(1, '是'), (2, '否')], default=1, verbose_name='是否激活')),
                ('is_show', django_sohoui.fields.UiSwitchField(blank=True, null=True, verbose_name='是否显示')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.adminmenus', verbose_name='父级菜单')),
            ],
            options={
                'verbose_name': 'System菜单设置',
                'verbose_name_plural': 'System菜单设置',
                'ordering': ['sort'],
            },
        ),
        migrations.CreateModel(
            name='DemoModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=200, verbose_name='标题')),
                ('description', models.TextField(default='', verbose_name='描述')),
                ('count', models.IntegerField(default=0, verbose_name='计数')),
                ('price', models.FloatField(default=0.0, verbose_name='价格')),
                ('amount', models.FloatField(default=0.0, verbose_name='金额')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
                ('birth_date', models.DateField(blank=True, null=True, verbose_name='出生日期')),
                ('start_time', models.TimeField(blank=True, null=True, verbose_name='开始时间')),
                ('created', models.DateTimeField(blank=True, null=True, verbose_name='创建时间')),
                ('email', models.EmailField(blank=True, default='', max_length=254, null=True, verbose_name='电子邮件')),
                ('website', models.URLField(blank=True, default='', null=True, verbose_name='网站')),
                ('image', models.ImageField(blank=True, default='', null=True, upload_to=django_sohoui.models.get_product_image_upload_path, verbose_name='图片')),
                ('adminmenus', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.adminmenus', verbose_name='菜单')),
            ],
            options={
                'verbose_name': '示例模型admin',
                'verbose_name_plural': '示例模型admin',
            },
        ),
        migrations.CreateModel(
            name='DemoModelItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=200, verbose_name='标题')),
                ('price', models.FloatField(default=0.0, verbose_name='价格')),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.demomodel', verbose_name='示例模型')),
            ],
        ),
        migrations.CreateModel(
            name='DemoModelItem2',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(default='', max_length=200, verbose_name='标题')),
                ('price', models.FloatField(default=0.0, verbose_name='价格')),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.demomodel', verbose_name='示例模型')),
            ],
        ),
        migrations.CreateModel(
            name='ExampleModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', django_sohoui.fields.UiCharField(default='', max_length=200, verbose_name='标题')),
                ('description', django_sohoui.fields.UiTextField(blank=True, default='', null=True, verbose_name='描述')),
                ('count', django_sohoui.fields.UiIntegerField(default=0, verbose_name='计数')),
                ('price', django_sohoui.fields.UiFloatField(default=0.0, verbose_name='价格')),
                ('amount', django_sohoui.fields.UiFloatField(default=0.0, verbose_name='金额')),
                ('is_active', django_sohoui.fields.UiSwitchField(default=True, verbose_name='是否激活')),
                ('birth_date', django_sohoui.fields.UiDateField(blank=True, null=True, verbose_name='出生日期')),
                ('start_time', django_sohoui.fields.UiTimeField(blank=True, null=True, verbose_name='开始时间')),
                ('created', django_sohoui.fields.UiDateTimeField(blank=True, null=True, verbose_name='创建时间')),
                ('email', django_sohoui.fields.UiEmailField(blank=True, default='', max_length=254, null=True, verbose_name='电子邮件')),
                ('website', django_sohoui.fields.UiURLField(blank=True, default='', null=True, verbose_name='网站')),
                ('image', django_sohoui.fields.UiImageCharField(blank=True, default='', max_length=200, null=True, verbose_name='图片')),
                ('adminmenus', django_sohoui.fields.UiForeignKeyField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.adminmenus', verbose_name='菜单')),
            ],
            options={
                'verbose_name': '示例模型',
                'verbose_name_plural': '示例模型',
            },
        ),
        migrations.CreateModel(
            name='ExampleItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', django_sohoui.fields.UiCharField(default='', max_length=200, verbose_name='标题')),
                ('price', django_sohoui.fields.UiFloatField(default=0.0, verbose_name='价格')),
                ('item', django_sohoui.fields.UiForeignKeyField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_sohoui.examplemodel', verbose_name='示例模型')),
            ],
            options={
                'verbose_name': '示例模型item',
                'verbose_name_plural': '示例模型item',
            },
        ),
    ]
